#include <iostream>
using namespace std;
const int MAXN = 1005;
int a[MAXN], n, x, k;
void input(){
    cin >> n >> k >> x;
}
void solve(){
    
}
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(NULL);
    input();
    cout << -1;
}